# $Revision: 1.16 $, $Date: 2012/02/23 19:39:04 $
Summary:	An XMP metadata support library
Summary(pl.UTF-8):	Biblioteka obsługująca metadane XMP
Name:		exempi
Version:	2.2.0
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://libopenraw.freedesktop.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	cb789ba2b6ed78b864cc18cdc87f3b72
URL:		http://libopenraw.freedesktop.org/wiki/Exempi
BuildRequires:	boost-devel >= 1.33.1
BuildRequires:	expat-devel >= 1.95
BuildRequires:	libstdc++-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XMP metadata parsing and IO library.

%description -l pl.UTF-8
Biblioteka do analizy oraz wejścia/wyjścia metadanych XMP.

%package devel
Summary:	Header files for exempi
Summary(pl.UTF-8):	Pliki nagłówkowe exempi
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	expat-devel >= 1.95
Requires:	libstdc++-devel
Requires:	zlib-devel

%description devel
Header files for exempi.

%description devel -l pl.UTF-8
Pliki nagłówkowe exempi.

%package static
Summary:	Static exempi library
Summary(pl.UTF-8):	Statyczna biblioteka exempi
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static exempi library.

%description static -l pl.UTF-8
Statyczna biblioteka exempi.

%package samples
Summary:	Sample exempi programs
Summary(pl.UTF-8):	Przykładowe programy exempi
Group:		Applications/Archiving
# doesn't require base, statically linked with exempi code

%description samples
Sample programs using exempi library.

%description samples -l pl.UTF-8
Przykładowe programy używające biblioteki exempi.

%prep
%setup -q

%build
# configure fails on boost linking check
%configure \
	ax_cv_boost_unit_test_framework=no \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install samples/source/{dumpmainxmp,dumpxmp,xmpcoverage,xmpfilescoverage} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libexempi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libexempi.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libexempi.so
%{_libdir}/libexempi.la
%{_includedir}/exempi-2.0
%{_pkgconfigdir}/exempi-2.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libexempi.a

%files samples
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: exempi.spec,v $
Revision 1.16  2012/02/23 19:39:04  qboosh
- updated to 2.2.0

Revision 1.15  2011/02/04 23:19:38  sparky
- %description for correct %package

Revision 1.14  2010/12/15 18:09:37  qboosh
- BR+R zlib-devel
- package TODO
- verbose make (shave is used)

Revision 1.13  2009/10/31 02:42:14  sls
- ver. 2.1.1

Revision 1.12  2008/08/29 17:21:10  qboosh
- updated to 2.0.2

Revision 1.11  2008/07/14 20:51:32  qboosh
- added URL

Revision 1.10  2008/07/14 19:16:21  qboosh
- updated to 2.0.1

Revision 1.9  2007/12/25 10:57:35  qboosh
- killed BC boost-test-devel
- ghost soname symlink

Revision 1.8  2007-12-23 22:03:14  qboosh
- unified

Revision 1.7  2007-12-21 11:39:22  gotar
- upgraded to 1.99.5, added samples subpackage

Revision 1.6  2007-09-18 19:51:36  megabajt
- release 2

Revision 1.5  2007/09/01 23:50:54  qboosh
- devel deps, more docs

Revision 1.4  2007/09/01 23:31:35  qboosh
- pl

Revision 1.3  2007/08/30 23:24:12  aflinta
- build fails when boost-test-devel is installed

Revision 1.2  2007/08/29 05:56:40  patrys
- fix packaging

Revision 1.1  2007/08/29 05:54:44  patrys
- initial PLD release
